Bug 3206 - qmake: no such file
: qmake: no such file
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdevelop)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-27 16:16 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-27 16:16:28
При создании проекта для Qt не получается скомпилировать его, т.к. не может 
найти qmake, который отсутствует в PATH
------- Comment #1 From 2003-11-10 07:54:46 -------
http://bugs.kde.org/show_bug.cgi?id=67576 
Что им посоветуем? 
Что PATH=$QTDIR/bin:$PATH это, положим, понятно. 
А QTDIR? 
Или просто давать отлуп, если QTDIR нет в среде? 
В конце концов, можно в свойствах проекта определять переменные среды. 
------- Comment #2 From 2003-11-10 12:43:54 -------
Лучше жестко забей в стартовый скрипт /usr/lib/qt3/bin, который будет 
называться kdevelop и будет запускать gideon, например. 
А для http://bugs.kde.org это не применимо, т.к. в конкретном дистрибутиве и 
ситуация более конкретная. 
------- Comment #3 From 2003-11-10 13:34:32 -------
В данном конкретном дистрибутиве у меня может быть своя инсталляция снапшота 
QT, и запись в стартовом скрипте может добавить новичку пару интересных 
сюрпризов в таком случае. 
Так что помучаю авторов. 
------- Comment #4 From 2003-11-10 14:02:09 -------
У Вас может быть все, что угодно. 
Если вы учтете это в стартовом скрипте, никто не обидиться, 
если у пользователей не будет проблем. 
------- Comment #5 From 2003-11-19 19:08:02 -------
Предложил патч, явно указывающий $QTDIR/bin в PATH, причём на первом месте. 
Это позволит разрешить неопределённость. 
В случае, если QTDIR не указан - уж извините. (Насколько понимаю, при обычном 
порядке вещей он выставляется при налиции QT) 

Вариант со скриптом считаю неприемлемым. 

Примут патч завтра - сделаю версию. 
Будут тянуть - сделаю патч. 
Отклонят - посмотрим. 
------- Comment #6 From 2003-11-20 14:10:16 -------
Кто Вам запрещает его прикладывать в пакете сейчас? 
Вы же его мантейнер. 
На QTDIR можете полагаться, во всяком случае так работает designer 
Он смотрит/смотрел на $QTDIR, $MOC и $UIC 
Отваливать по отсутствию QTDIR не нужно, если только предупреждение делать 
А в пакете зависимость на libqt3-devel стоит 
------- Comment #7 From 2003-11-25 07:57:53 -------
fixed in 3.0-alt0.11